Loading...
Searching...
No Matches
irq.h File Reference

IRQ handling routines. More...

`#include <l4/sys/compiler.h>`
`#include <l4/sys/types.h>`
Include dependency graph for irq.h:

Go to the source code of this file.

## Functions

l4irq_t * | l4irq_attach (int irqnum)
| Attach/connect to IRQ.
l4irq_t * | l4irq_attach_ft (int irqnum, unsigned mode)
| Attach/connect to IRQ using given type.
l4irq_t * | l4irq_attach_thread (int irqnum, l4_cap_idx_t to_thread)
| Attach/connect to IRQ.
l4irq_t * | l4irq_attach_thread_ft (int irqnum, l4_cap_idx_t to_thread, unsigned mode)
| Attach/connect to IRQ using given type.
long | l4irq_wait (l4irq_t *irq)
| Wait for specified IRQ.
long | l4irq_unmask_and_wait_any (l4irq_t *unmask_irq, l4irq_t **ret_irq)
| Unmask a specific IRQ and wait for any attached IRQ.
long | l4irq_wait_any (l4irq_t **irq)
| Wait for any attached IRQ.
long | l4irq_unmask (l4irq_t *irq)
| Unmask a specific IRQ.
long | l4irq_detach (l4irq_t *irq)
| Detach from IRQ.
l4irq_t * | l4irq_request (int irqnum, void(*isr_handler)(void *), void *isr_data, int irq_thread_prio, unsigned mode)
| Attach asychronous ISR handler to IRQ.
long | l4irq_release (l4irq_t *irq)
| Release asynchronous ISR handler and free resources.
l4irq_t * | l4irq_attach_cap (l4_cap_idx_t irqcap)
| Attach/connect to IRQ.
l4irq_t * | l4irq_attach_cap_ft (l4_cap_idx_t irqcap, unsigned mode)
| Attach/connect to IRQ using given type.
l4irq_t * | l4irq_attach_thread_cap (l4_cap_idx_t irqcap, l4_cap_idx_t to_thread)
| Attach/connect to IRQ.
l4irq_t * | l4irq_attach_thread_cap_ft (l4_cap_idx_t irqcap, l4_cap_idx_t to_thread, unsigned mode)
| Attach/connect to IRQ using given type.
l4irq_t * | l4irq_request_cap (l4_cap_idx_t irqcap, void(*isr_handler)(void *), void *isr_data, int irq_thread_prio, unsigned mode)
| Attach asychronous ISR handler to IRQ.

## Detailed Description

IRQ handling routines.

Definition in file irq.h.